package jp.co.headwaters.webappos.controller.cache.bean;

import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class BindBean implements Serializable {

	private static final long serialVersionUID = -3712289111711572371L;

	@JsonProperty("TARGET")
	private String target;
	@JsonProperty("FORMAT")
	private String format;
	@JsonProperty("ARG")
	private String arg;
	@JsonProperty("ARGS")
	private List<String> args;
	@JsonProperty("ESCAPE")
	private String escape = "true"; //$NON-NLS-1$

	public String getTarget() {
		return this.target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public String getFormat() {
		return this.format;
	}

	public void setFormat(String format) {
		this.format = format;
	}

	public String getArg() {
		return this.arg;
	}

	public void setArg(String arg) {
		this.arg = arg;
	}

	public List<String> getArgs() {
		return this.args;
	}

	public void setArgs(List<String> args) {
		this.args = args;
	}

	public String getEscape() {
		return this.escape;
	}

	public void setEscape(String escape) {
		this.escape = escape;
	}
}
